package com.mdd.admin.vo.setting;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("基础设置Vo")
public class SettingWebsiteVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("网站名称")
   private String name;
   @ApiModelProperty("网站logo")
   private String logo;
   @ApiModelProperty("网站图标")
   private String favicon;
   @ApiModelProperty("登录页广告图")
   private String backdrop;
   @ApiModelProperty("商城名称")
   private String shopName;
   @ApiModelProperty("商城LOGO")
   private String shopLogo;
   @ApiModelProperty("PC端LOGO")
   private String pcLogo;
   @ApiModelProperty("网站标题")
   private String pcTitle;
   @ApiModelProperty("网站图标")
   private String pcIco;
   @ApiModelProperty("网站描述")
   private String pcDesc;
   @ApiModelProperty("网站关键词")
   private String pcKeywords;

   public String getName() {
      return this.name;
   }

   public String getLogo() {
      return this.logo;
   }

   public String getFavicon() {
      return this.favicon;
   }

   public String getBackdrop() {
      return this.backdrop;
   }

   public String getShopName() {
      return this.shopName;
   }

   public String getShopLogo() {
      return this.shopLogo;
   }

   public String getPcLogo() {
      return this.pcLogo;
   }

   public String getPcTitle() {
      return this.pcTitle;
   }

   public String getPcIco() {
      return this.pcIco;
   }

   public String getPcDesc() {
      return this.pcDesc;
   }

   public String getPcKeywords() {
      return this.pcKeywords;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setLogo(String logo) {
      this.logo = logo;
   }

   public void setFavicon(String favicon) {
      this.favicon = favicon;
   }

   public void setBackdrop(String backdrop) {
      this.backdrop = backdrop;
   }

   public void setShopName(String shopName) {
      this.shopName = shopName;
   }

   public void setShopLogo(String shopLogo) {
      this.shopLogo = shopLogo;
   }

   public void setPcLogo(String pcLogo) {
      this.pcLogo = pcLogo;
   }

   public void setPcTitle(String pcTitle) {
      this.pcTitle = pcTitle;
   }

   public void setPcIco(String pcIco) {
      this.pcIco = pcIco;
   }

   public void setPcDesc(String pcDesc) {
      this.pcDesc = pcDesc;
   }

   public void setPcKeywords(String pcKeywords) {
      this.pcKeywords = pcKeywords;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingWebsiteVo)) {
         return false;
      } else {
         SettingWebsiteVo other = (SettingWebsiteVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label143: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label143;
                  }
               } else if (this$name.equals(other$name)) {
                  break label143;
               }

               return false;
            }

            Object this$logo = this.getLogo();
            Object other$logo = other.getLogo();
            if (this$logo == null) {
               if (other$logo != null) {
                  return false;
               }
            } else if (!this$logo.equals(other$logo)) {
               return false;
            }

            Object this$favicon = this.getFavicon();
            Object other$favicon = other.getFavicon();
            if (this$favicon == null) {
               if (other$favicon != null) {
                  return false;
               }
            } else if (!this$favicon.equals(other$favicon)) {
               return false;
            }

            label122: {
               Object this$backdrop = this.getBackdrop();
               Object other$backdrop = other.getBackdrop();
               if (this$backdrop == null) {
                  if (other$backdrop == null) {
                     break label122;
                  }
               } else if (this$backdrop.equals(other$backdrop)) {
                  break label122;
               }

               return false;
            }

            label115: {
               Object this$shopName = this.getShopName();
               Object other$shopName = other.getShopName();
               if (this$shopName == null) {
                  if (other$shopName == null) {
                     break label115;
                  }
               } else if (this$shopName.equals(other$shopName)) {
                  break label115;
               }

               return false;
            }

            Object this$shopLogo = this.getShopLogo();
            Object other$shopLogo = other.getShopLogo();
            if (this$shopLogo == null) {
               if (other$shopLogo != null) {
                  return false;
               }
            } else if (!this$shopLogo.equals(other$shopLogo)) {
               return false;
            }

            Object this$pcLogo = this.getPcLogo();
            Object other$pcLogo = other.getPcLogo();
            if (this$pcLogo == null) {
               if (other$pcLogo != null) {
                  return false;
               }
            } else if (!this$pcLogo.equals(other$pcLogo)) {
               return false;
            }

            label94: {
               Object this$pcTitle = this.getPcTitle();
               Object other$pcTitle = other.getPcTitle();
               if (this$pcTitle == null) {
                  if (other$pcTitle == null) {
                     break label94;
                  }
               } else if (this$pcTitle.equals(other$pcTitle)) {
                  break label94;
               }

               return false;
            }

            label87: {
               Object this$pcIco = this.getPcIco();
               Object other$pcIco = other.getPcIco();
               if (this$pcIco == null) {
                  if (other$pcIco == null) {
                     break label87;
                  }
               } else if (this$pcIco.equals(other$pcIco)) {
                  break label87;
               }

               return false;
            }

            Object this$pcDesc = this.getPcDesc();
            Object other$pcDesc = other.getPcDesc();
            if (this$pcDesc == null) {
               if (other$pcDesc != null) {
                  return false;
               }
            } else if (!this$pcDesc.equals(other$pcDesc)) {
               return false;
            }

            Object this$pcKeywords = this.getPcKeywords();
            Object other$pcKeywords = other.getPcKeywords();
            if (this$pcKeywords == null) {
               if (other$pcKeywords != null) {
                  return false;
               }
            } else if (!this$pcKeywords.equals(other$pcKeywords)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingWebsiteVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $logo = this.getLogo();
      result = result * 59 + ($logo == null ? 43 : $logo.hashCode());
      Object $favicon = this.getFavicon();
      result = result * 59 + ($favicon == null ? 43 : $favicon.hashCode());
      Object $backdrop = this.getBackdrop();
      result = result * 59 + ($backdrop == null ? 43 : $backdrop.hashCode());
      Object $shopName = this.getShopName();
      result = result * 59 + ($shopName == null ? 43 : $shopName.hashCode());
      Object $shopLogo = this.getShopLogo();
      result = result * 59 + ($shopLogo == null ? 43 : $shopLogo.hashCode());
      Object $pcLogo = this.getPcLogo();
      result = result * 59 + ($pcLogo == null ? 43 : $pcLogo.hashCode());
      Object $pcTitle = this.getPcTitle();
      result = result * 59 + ($pcTitle == null ? 43 : $pcTitle.hashCode());
      Object $pcIco = this.getPcIco();
      result = result * 59 + ($pcIco == null ? 43 : $pcIco.hashCode());
      Object $pcDesc = this.getPcDesc();
      result = result * 59 + ($pcDesc == null ? 43 : $pcDesc.hashCode());
      Object $pcKeywords = this.getPcKeywords();
      result = result * 59 + ($pcKeywords == null ? 43 : $pcKeywords.hashCode());
      return result;
   }

   public String toString() {
      return "SettingWebsiteVo(name=" + this.getName() + ", logo=" + this.getLogo() + ", favicon=" + this.getFavicon() + ", backdrop=" + this.getBackdrop() + ", shopName=" + this.getShopName() + ", shopLogo=" + this.getShopLogo() + ", pcLogo=" + this.getPcLogo() + ", pcTitle=" + this.getPcTitle() + ", pcIco=" + this.getPcIco() + ", pcDesc=" + this.getPcDesc() + ", pcKeywords=" + this.getPcKeywords() + ")";
   }
}
